Package org.apache.solr.common.util

## Class CollectionUtil

- java.lang.Object
- - org.apache.solr.common.util.CollectionUtil

    public final class CollectionUtil
    extends Object

Methods for creating collections with exact sizes, and other convenience methods

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isEmpty​(Collection<?> collection)`
`static boolean` `isNotEmpty​(Collection<?> collection)`
`static <K,​V> HashMap<K,​V>` `newHashMap​(int size)` Returns a new `HashMap` sized to contain `size` items without resizing the internal array.
`static <E> HashSet<E>` `newHashSet​(int size)` Returns a new `HashSet` sized to contain `size` items without resizing the internal array.
`static <K,​V> LinkedHashMap<K,​V>` `newLinkedHashMap​(int size)` Returns a new `LinkedHashMap` sized to contain `size` items without resizing the internal array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newHashMap

    public static <K,​V> HashMap<K,​V> newHashMap​(int size)

Returns a new `HashMap` sized to contain `size` items without resizing the internal array.

#### newLinkedHashMap

    public static <K,​V> LinkedHashMap<K,​V> newLinkedHashMap​(int size)

Returns a new `LinkedHashMap` sized to contain `size` items without resizing the internal array.

#### newHashSet

    public static <E> HashSet<E> newHashSet​(int size)

Returns a new `HashSet` sized to contain `size` items without resizing the internal array.

#### isEmpty

    public static boolean isEmpty​(Collection<?> collection)

#### isNotEmpty

    public static boolean isNotEmpty​(Collection<?> collection)